[Monetdb-developers] monetdb-install.sh & MAKEOPTS=-j

Stefan Manegold Stefan.Manegold at cwi.nl
Tue Apr 7 11:06:56 CEST 2009


Fabian,

`make -j[N] install` is know not to work (in particular with MonetDB5) due
to race conditions and/or dependency issues, and there is hardly any way to
fix this.

Hence, setting MAKEOPTS=-j[N] before calling monetdb-install.sh might (will)
result in an error during make install.

I propose the following (or similar) patch to omit -j[N] when calling make
install (of course, the "simpler" but maybe less desireable option is to
omit MAKEOPTS completely with make install ...):


Index: monetweb/Assets/monetdb-install.sh
===================================================================
RCS file: /ufs/monet/repository/monetweb/Assets/monetdb-install.sh,v
retrieving revision 1.42
diff -u -r1.42 monetdb-install.sh
--- monetweb/Assets/monetdb-install.sh	16 Mar 2009 20:27:42 -0000	1.42
+++ monetweb/Assets/monetdb-install.sh	7 Apr 2009 09:00:33 -0000
@@ -434,7 +434,7 @@
 			MAKE=make
 		fi
 	fi
-	${MAKE} ${MAKEOPTS} "$@" > $QUIET
+	${MAKE} "$@" > $QUIET
 	return $?
 }
 
@@ -502,8 +502,8 @@
 		echo " * Processing $p" > $QUIET
 		echo $myconf > $QUIET
 		eval "$myconf" > $QUIET || die "configuring $p failed"
-		emake || die "making $p failed"
-		emake install || die "installing $p failed"
+		emake ${MAKEOPTS} || die "making $p failed"
+		emake $(echo "${MAKEOPTS}" | sed 's|-j *[0-9]*||g') install || die "installing $p failed"
 		popd > /dev/null
 	done
 }
@@ -533,7 +533,7 @@
 			${DO_XQUERY+"--with-monetdb4=included"} \
 			${DO_SQL+"--with-monetdb5=included"} \
 			${DEBUG}
-		emake || die "making $p failed"
+		emake ${MAKEOPTS} || die "making $p failed"
 	done
 }
 
@@ -551,7 +551,7 @@
 
 	for p in ${A} ; do
 		cd "${S}"/$p/$(get_cvs_module $p) || die "cannot find directory $p"
-		emake install || die "installing $p failed"
+		emake $(echo "${MAKEOPTS}" | sed 's|-j *[0-9]*||g') install || die "installing $p failed"
 	done
 }
 


Stefan

-- 
| Dr. Stefan Manegold | mailto:Stefan.Manegold at cwi.nl |
| CWI,  P.O.Box 94079 | http://www.cwi.nl/~manegold/  |
| 1090 GB Amsterdam   | Tel.: +31 (20) 592-4212       |
| The Netherlands     | Fax : +31 (20) 592-4312       |




More information about the developers-list mailing list